ManagerBase.SessionTiming (Apache Tomcat 11.0.22 API Documentation)
Description: declaration: package: org.apache.catalina.session, class: ManagerBase, record: SessionTiming

# Record Class ManagerBase.SessionTiming

java.lang.Object
java.lang.Record
org.apache.catalina.session.ManagerBase.SessionTiming

Enclosing class:
  `ManagerBase`

protected static record ManagerBase.SessionTiming(long timestamp, int duration) extends Record

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `SessionTiming(long timestamp, int duration)`
  Creates an instance of a `SessionTiming` record class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `duration()`
  Returns the value of the `duration` record component.
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `int`
  `getDuration()`
  `long`
  `getTimestamp()`
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `long`
  `timestamp()`
  Returns the value of the `timestamp` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### SessionTiming

    protected SessionTiming(long timestamp, int duration)
    Creates an instance of a `SessionTiming` record class.
    Parameters:
      `timestamp` - the value for the `timestamp` record component
      `duration` - the value for the `duration` record component

- ## Method Details

  - ### getTimestamp

    public long getTimestamp()
    Returns:
      Time stamp associated with this piece of timing information in milliseconds.

  - ### getDuration

    public int getDuration()
    Returns:
      Duration associated with this piece of timing information in seconds.

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with the `compare` method from their corresponding wrapper classes.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### timestamp

    public long timestamp()
    Returns the value of the `timestamp` record component.
    Returns:
      the value of the `timestamp` record component

  - ### duration

    public int duration()
    Returns the value of the `duration` record component.
    Returns:
      the value of the `duration` record component